Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network3.0.80.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
3.0.80.0
Broadcast address
3.0.81.255
First usable
3.0.80.1
Last usable
3.0.81.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 03005000 · Integer 50352128 to 50352639
Reverse DNS zones
80.0.3.in-addr.arpa
81.0.3.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000011.00000000.01010000.000000003.0.80.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network00000011.00000000.01010000.000000003.0.80.0
Broadcast00000011.00000000.01010001.111111113.0.81.255
Split into smaller subnets/30

3.0.80.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
13.0.80.0/303.0.80.1 to 3.0.80.23.0.80.32
23.0.80.4/303.0.80.5 to 3.0.80.63.0.80.72
33.0.80.8/303.0.80.9 to 3.0.80.103.0.80.112
43.0.80.12/303.0.80.13 to 3.0.80.143.0.80.152
53.0.80.16/303.0.80.17 to 3.0.80.183.0.80.192
63.0.80.20/303.0.80.21 to 3.0.80.223.0.80.232
73.0.80.24/303.0.80.25 to 3.0.80.263.0.80.272
83.0.80.28/303.0.80.29 to 3.0.80.303.0.80.312
93.0.80.32/303.0.80.33 to 3.0.80.343.0.80.352
103.0.80.36/303.0.80.37 to 3.0.80.383.0.80.392
113.0.80.40/303.0.80.41 to 3.0.80.423.0.80.432
123.0.80.44/303.0.80.45 to 3.0.80.463.0.80.472
133.0.80.48/303.0.80.49 to 3.0.80.503.0.80.512
143.0.80.52/303.0.80.53 to 3.0.80.543.0.80.552
153.0.80.56/303.0.80.57 to 3.0.80.583.0.80.592
163.0.80.60/303.0.80.61 to 3.0.80.623.0.80.632
173.0.80.64/303.0.80.65 to 3.0.80.663.0.80.672
183.0.80.68/303.0.80.69 to 3.0.80.703.0.80.712
193.0.80.72/303.0.80.73 to 3.0.80.743.0.80.752
203.0.80.76/303.0.80.77 to 3.0.80.783.0.80.792
213.0.80.80/303.0.80.81 to 3.0.80.823.0.80.832
223.0.80.84/303.0.80.85 to 3.0.80.863.0.80.872
233.0.80.88/303.0.80.89 to 3.0.80.903.0.80.912
243.0.80.92/303.0.80.93 to 3.0.80.943.0.80.952
253.0.80.96/303.0.80.97 to 3.0.80.983.0.80.992
263.0.80.100/303.0.80.101 to 3.0.80.1023.0.80.1032
273.0.80.104/303.0.80.105 to 3.0.80.1063.0.80.1072
283.0.80.108/303.0.80.109 to 3.0.80.1103.0.80.1112
293.0.80.112/303.0.80.113 to 3.0.80.1143.0.80.1152
303.0.80.116/303.0.80.117 to 3.0.80.1183.0.80.1192
313.0.80.120/303.0.80.121 to 3.0.80.1223.0.80.1232
323.0.80.124/303.0.80.125 to 3.0.80.1263.0.80.1272
333.0.80.128/303.0.80.129 to 3.0.80.1303.0.80.1312
343.0.80.132/303.0.80.133 to 3.0.80.1343.0.80.1352
353.0.80.136/303.0.80.137 to 3.0.80.1383.0.80.1392
363.0.80.140/303.0.80.141 to 3.0.80.1423.0.80.1432
373.0.80.144/303.0.80.145 to 3.0.80.1463.0.80.1472
383.0.80.148/303.0.80.149 to 3.0.80.1503.0.80.1512
393.0.80.152/303.0.80.153 to 3.0.80.1543.0.80.1552
403.0.80.156/303.0.80.157 to 3.0.80.1583.0.80.1592
413.0.80.160/303.0.80.161 to 3.0.80.1623.0.80.1632
423.0.80.164/303.0.80.165 to 3.0.80.1663.0.80.1672
433.0.80.168/303.0.80.169 to 3.0.80.1703.0.80.1712
443.0.80.172/303.0.80.173 to 3.0.80.1743.0.80.1752
453.0.80.176/303.0.80.177 to 3.0.80.1783.0.80.1792
463.0.80.180/303.0.80.181 to 3.0.80.1823.0.80.1832
473.0.80.184/303.0.80.185 to 3.0.80.1863.0.80.1872
483.0.80.188/303.0.80.189 to 3.0.80.1903.0.80.1912
493.0.80.192/303.0.80.193 to 3.0.80.1943.0.80.1952
503.0.80.196/303.0.80.197 to 3.0.80.1983.0.80.1992
513.0.80.200/303.0.80.201 to 3.0.80.2023.0.80.2032
523.0.80.204/303.0.80.205 to 3.0.80.2063.0.80.2072
533.0.80.208/303.0.80.209 to 3.0.80.2103.0.80.2112
543.0.80.212/303.0.80.213 to 3.0.80.2143.0.80.2152
553.0.80.216/303.0.80.217 to 3.0.80.2183.0.80.2192
563.0.80.220/303.0.80.221 to 3.0.80.2223.0.80.2232
573.0.80.224/303.0.80.225 to 3.0.80.2263.0.80.2272
583.0.80.228/303.0.80.229 to 3.0.80.2303.0.80.2312
593.0.80.232/303.0.80.233 to 3.0.80.2343.0.80.2352
603.0.80.236/303.0.80.237 to 3.0.80.2383.0.80.2392
613.0.80.240/303.0.80.241 to 3.0.80.2423.0.80.2432
623.0.80.244/303.0.80.245 to 3.0.80.2463.0.80.2472
633.0.80.248/303.0.80.249 to 3.0.80.2503.0.80.2512
643.0.80.252/303.0.80.253 to 3.0.80.2543.0.80.2552
653.0.81.0/303.0.81.1 to 3.0.81.23.0.81.32
663.0.81.4/303.0.81.5 to 3.0.81.63.0.81.72
673.0.81.8/303.0.81.9 to 3.0.81.103.0.81.112
683.0.81.12/303.0.81.13 to 3.0.81.143.0.81.152
693.0.81.16/303.0.81.17 to 3.0.81.183.0.81.192
703.0.81.20/303.0.81.21 to 3.0.81.223.0.81.232
713.0.81.24/303.0.81.25 to 3.0.81.263.0.81.272
723.0.81.28/303.0.81.29 to 3.0.81.303.0.81.312
733.0.81.32/303.0.81.33 to 3.0.81.343.0.81.352
743.0.81.36/303.0.81.37 to 3.0.81.383.0.81.392
753.0.81.40/303.0.81.41 to 3.0.81.423.0.81.432
763.0.81.44/303.0.81.45 to 3.0.81.463.0.81.472
773.0.81.48/303.0.81.49 to 3.0.81.503.0.81.512
783.0.81.52/303.0.81.53 to 3.0.81.543.0.81.552
793.0.81.56/303.0.81.57 to 3.0.81.583.0.81.592
803.0.81.60/303.0.81.61 to 3.0.81.623.0.81.632
813.0.81.64/303.0.81.65 to 3.0.81.663.0.81.672
823.0.81.68/303.0.81.69 to 3.0.81.703.0.81.712
833.0.81.72/303.0.81.73 to 3.0.81.743.0.81.752
843.0.81.76/303.0.81.77 to 3.0.81.783.0.81.792
853.0.81.80/303.0.81.81 to 3.0.81.823.0.81.832
863.0.81.84/303.0.81.85 to 3.0.81.863.0.81.872
873.0.81.88/303.0.81.89 to 3.0.81.903.0.81.912
883.0.81.92/303.0.81.93 to 3.0.81.943.0.81.952
893.0.81.96/303.0.81.97 to 3.0.81.983.0.81.992
903.0.81.100/303.0.81.101 to 3.0.81.1023.0.81.1032
913.0.81.104/303.0.81.105 to 3.0.81.1063.0.81.1072
923.0.81.108/303.0.81.109 to 3.0.81.1103.0.81.1112
933.0.81.112/303.0.81.113 to 3.0.81.1143.0.81.1152
943.0.81.116/303.0.81.117 to 3.0.81.1183.0.81.1192
953.0.81.120/303.0.81.121 to 3.0.81.1223.0.81.1232
963.0.81.124/303.0.81.125 to 3.0.81.1263.0.81.1272
973.0.81.128/303.0.81.129 to 3.0.81.1303.0.81.1312
983.0.81.132/303.0.81.133 to 3.0.81.1343.0.81.1352
993.0.81.136/303.0.81.137 to 3.0.81.1383.0.81.1392
1003.0.81.140/303.0.81.141 to 3.0.81.1423.0.81.1432
1013.0.81.144/303.0.81.145 to 3.0.81.1463.0.81.1472
1023.0.81.148/303.0.81.149 to 3.0.81.1503.0.81.1512
1033.0.81.152/303.0.81.153 to 3.0.81.1543.0.81.1552
1043.0.81.156/303.0.81.157 to 3.0.81.1583.0.81.1592
1053.0.81.160/303.0.81.161 to 3.0.81.1623.0.81.1632
1063.0.81.164/303.0.81.165 to 3.0.81.1663.0.81.1672
1073.0.81.168/303.0.81.169 to 3.0.81.1703.0.81.1712
1083.0.81.172/303.0.81.173 to 3.0.81.1743.0.81.1752
1093.0.81.176/303.0.81.177 to 3.0.81.1783.0.81.1792
1103.0.81.180/303.0.81.181 to 3.0.81.1823.0.81.1832
1113.0.81.184/303.0.81.185 to 3.0.81.1863.0.81.1872
1123.0.81.188/303.0.81.189 to 3.0.81.1903.0.81.1912
1133.0.81.192/303.0.81.193 to 3.0.81.1943.0.81.1952
1143.0.81.196/303.0.81.197 to 3.0.81.1983.0.81.1992
1153.0.81.200/303.0.81.201 to 3.0.81.2023.0.81.2032
1163.0.81.204/303.0.81.205 to 3.0.81.2063.0.81.2072
1173.0.81.208/303.0.81.209 to 3.0.81.2103.0.81.2112
1183.0.81.212/303.0.81.213 to 3.0.81.2143.0.81.2152
1193.0.81.216/303.0.81.217 to 3.0.81.2183.0.81.2192
1203.0.81.220/303.0.81.221 to 3.0.81.2223.0.81.2232
1213.0.81.224/303.0.81.225 to 3.0.81.2263.0.81.2272
1223.0.81.228/303.0.81.229 to 3.0.81.2303.0.81.2312
1233.0.81.232/303.0.81.233 to 3.0.81.2343.0.81.2352
1243.0.81.236/303.0.81.237 to 3.0.81.2383.0.81.2392
1253.0.81.240/303.0.81.241 to 3.0.81.2423.0.81.2432
1263.0.81.244/303.0.81.245 to 3.0.81.2463.0.81.2472
1273.0.81.248/303.0.81.249 to 3.0.81.2503.0.81.2512
1283.0.81.252/303.0.81.253 to 3.0.81.2543.0.81.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses